Bug 215176 - Evolution crashes randomly
Evolution crashes randomly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 18:17 EST by Ryan Skadberg
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Skadberg 2006-11-11 18:17:18 EST
Seems like this is happening pretty regularly when I am working in Tasks.

Versions:

evolution-2.9.2-2.fc7
evolution-connector-2.8.1-2.fc7
evolution-data-server-1.9.2-3.fc7

Crash:

Distribution: Fedora Core release 6 (Rawhide)
Gnome Release: 2.17.2 2006-11-07 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: No
Accessibility: Enabled
----------- .xsession-errors ---------------------
** (Gecko:15090): WARNING **: failure: no device event controller found.
** (Gecko:15090): WARNING **: failure: no device event controller found.
** (evolution:18707): WARNING **: failure: no device event controller found.
GTK Accessibility Module initialized
Bonobo accessibility support initialized
GTK Accessibility Module initialized
Bonobo accessibility support initialized
** (bug-buddy:18899): WARNING **: Couldn't load icon for Open Folder
--------------------------------------------------

Memory status: size: 306294784 vsize: 0 resident: 306294784 share: 0 rss:
77619200 rss_rlim: 0
CPU usage: start_time: 1163278414 rtime: 0 utime: 6584 stime: 0 cutime:6063
cstime: 0 timeout: 521 it_real_value: 0 frequency: 6725

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208309536 (LWP 18707)]
[New Thread -1275581552 (LWP 9749)]
[New Thread -1262486640 (LWP 18770)]
[New Thread -1319117936 (LWP 18749)]
[New Thread -1286071408 (LWP 18743)]
0x008c5402 in __kernel_vsyscall ()
#0  0x008c5402 in __kernel_vsyscall ()
#1  0x005c2b8b in waitpid () from /lib/libpthread.so.0
#2  0x06b01466 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:870
#3  0x0805d699 in segv_redirect (sig=11) at main.c:426
#4  <signal handler called>
#5  0x064f8bcc in gal_a11y_e_cell_popup_new (item=0x96162b0, 
    cell_view=0xa26afa8, parent=0xa2c9748, model_col=12, view_col=3, row=41)
    at gal-a11y-e-cell-popup.c:103
#6  0x064f8ee3 in gal_a11y_e_cell_registry_get_object (registry=0x921db50, 
    item=0x96162b0, cell_view=0xa26afa8, parent=0xa2c9748, model_col=12, 
    view_col=3, row=41) at gal-a11y-e-cell-registry.c:119
#7  0x064fc2d6 in eti_ref_at (table=0xa2c9748, row=41, column=3)
    at gal-a11y-e-table-item.c:345
#8  0x064fc6a7 in eti_a11y_reset_focus_object (a11y=0xa2c9748, 
    item=<value optimized out>, notify=0) at gal-a11y-e-table-item.c:171
#9  0x064fccb0 in gal_a11y_e_table_item_new (item=0x96162b0)
    at gal-a11y-e-table-item.c:1071
#10 0x064fd1f2 in gal_a11y_e_table_item_factory_create_accessible (
    obj=0x96162b0) at gal-a11y-e-table-item-factory.c:36
#11 0x00a17200 in atk_object_factory_create_accessible ()
   from /usr/lib/libatk-1.0.so.0
#12 0x00a133a1 in atk_gobject_accessible_for_object ()
   from /usr/lib/libatk-1.0.so.0
#13 0x00e5373b in gnome_accessibility_module_init ()
   from /usr/lib/gtk-2.0/modules/libgail.so
#14 0x00729571 in g_idle_dispatch (source=0xac06790, callback=0x4, 
    user_data=0x9229498) at gmain.c:3926
#15 0x0072b2d2 in IA__g_main_context_dispatch (context=0x8eb5a70)
    at gmain.c:2045
#16 0x0072e2af in g_main_context_iterate (context=0x8eb5a70, block=1, 
    dispatch=1, self=0x8e91628) at gmain.c:2677
#17 0x0072e659 in IA__g_main_loop_run (loop=0x8f2c468) at gmain.c:2881
#18 0x06b8ba23 in bonobo_main () at bonobo-main.c:311
#19 0x0805daae in main (argc=2, argv=0xbfcaae34) at main.c:615
#20 0x0045de5c in __libc_start_main () from /lib/libc.so.6
#21 0x0804f3b1 in _start ()

Thread 5 (Thread -1286071408 (LWP 18743)):
#0  0x008c5402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0050b303 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x0072e2e3 in g_main_context_iterate (context=0x91ec370, block=1, 
    dispatch=1, self=0x91ed118) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 2
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x91f2930
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0072e659 in IA__g_main_loop_run (loop=0x91ed050) at gmain.c:2881
	got_ownership = 6017504
	self = (GThread *) 0x91ed118
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x07308544 in libnm_glib_init () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x00748f4f in g_thread_create_proxy (data=0x91ed118) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x005bb2db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00514e6e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1319117936 (LWP 18749)):
#0  0x008c5402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0050dd01 in select () from /lib/libc.so.6
No symbol table info available.
#2  0x0706790a in camel_read (fd=45, buf=0x9a72600 "\033", n=4)
    at camel-file-utils.c:466
	tv = {tv_sec = 231, tv_usec = 268000}
	res = <value optimized out>
	flags = 2
	rdset = {__fds_bits = {0, 24576, 0 <repeats 30 times>}}
	nread = <value optimized out>
	cancel_fd = <value optimized out>
#3  0x0108b3df in do_read (marshal=0x9206780, buf=0x9a72600 "\033", len=4)
    at camel-stub-marshal.c:93
	nread = 0
	n = -514
#4  0x0108b4f6 in marshal_read (marshal=0x9206780, buf=0xb15fd35f "", len=1)
    at camel-stub-marshal.c:120
	avail = <value optimized out>
	nread = -1
#5  0x0108b5b8 in decode_uint32 (marshal=0x9206780, dest=0xb15fd3a8)
    at camel-stub-marshal.c:155
	value = 0
	v = <value optimized out>
#6  0x0108b6d4 in camel_stub_marshal_decode_uint32 (marshal=0x9206780, 
    dest=0xb15fd3a8) at camel-stub-marshal.c:268
No locals.
#7  0x0108c72f in status_main (data=0x92065a8) at camel-stub.c:125
	status_channel = (CamelStubMarshal *) 0x9206780
	retval = 11
#8  0x005bb2db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#9  0x00514e6e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 3 (Thread -1262486640 (LWP 18770)):
#0  0x008c5402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0050b303 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x0072e2e3 in g_main_context_iterate (context=0xb2a25db8, block=1, 
    dispatch=1, self=0xb2a26740) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 11
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0xa018408
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0072e659 in IA__g_main_loop_run (loop=0xb2a21270) at gmain.c:2881
	got_ownership = 6017504
	self = (GThread *) 0xb2a26740
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x068552e0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x00748f4f in g_thread_create_proxy (data=0xb2a26740) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x005bb2db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00514e6e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread -1275581552 (LWP 9749)):
#0  0x008c5402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0050b303 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x0072e2e3 in g_main_context_iterate (context=0x9479a20, block=1, 
    dispatch=1, self=0x943d7a0) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 1
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x943d990
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0072e659 in IA__g_main_loop_run (loop=0x9479b68) at gmain.c:2881
	got_ownership = 6017504
	self = (GThread *) 0x943d7a0
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x070ba6f2 in startup_mainloop (arg=0x0) at e-book.c:3763
	loop = (GMainLoop *) 0xfffffffc
#5  0x00748f4f in g_thread_create_proxy (data=0x943d7a0) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x005bb2db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x00514e6e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1208309536 (LWP 18707)):
#0  0x008c5402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005c2b8b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x06b01466 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:870
	estatus = -1077238316
	eret = 2
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {8136500, 170694472, 579, 149518032, 24916148, 1, 
      7984904, 6017521, 149517944, 0, 18707, 6017521, 152545, 6021804, 18707, 
      3217728936, 1, 6021804, 7984904, 8252992, 8138932, 3217728936, 7984904, 
      8252992, 8138932, 3217728952, 1079764640, 3217728984, 8250996, 
      3217729228, 3, 3217729016}}, sa_flags = 8040622, 
  sa_restorer = 0xa2c974c}
	pid = 18893
	in_segv = 1
#3  0x0805d699 in segv_redirect (sig=11) at main.c:426
No locals.
#4  <signal handler called>
No symbol table info available.
#5  0x064f8bcc in gal_a11y_e_cell_popup_new (item=0x96162b0, 
    cell_view=0xa26afa8, parent=0xa2c9748, model_col=12, view_col=3, row=41)
    at gal-a11y-e-cell-popup.c:103
	a11y = <value optimized out>
	child_view = (ECellView *) 0x1
	__PRETTY_FUNCTION__ = "gal_a11y_e_cell_popup_new"
#6  0x064f8ee3 in gal_a11y_e_cell_registry_get_object (registry=0x921db50, 
    item=0x96162b0, cell_view=0xa26afa8, parent=0xa2c9748, model_col=12, 
    view_col=3, row=41) at gal-a11y-e-cell-registry.c:119
	func = (
    GalA11yECellRegistryFunc) 0x64f8b90 <gal_a11y_e_cell_popup_new>
	type = 153213528
#7  0x064fc2d6 in eti_ref_at (table=0xa2c9748, row=41, column=3)
    at gal-a11y-e-table-item.c:345
	cell_view = (ECellView *) 0xa26afa8
	ecol = <value optimized out>
	ret = <value optimized out>
#8  0x064fc6a7 in eti_a11y_reset_focus_object (a11y=0xa2c9748, 
    item=<value optimized out>, notify=0) at gal-a11y-e-table-item.c:171
	esm = <value optimized out>
	cursor_row = 2
	cursor_col = 12
	view_row = 41
	view_col = <value optimized out>
	cell = <value optimized out>
	__PRETTY_FUNCTION__ = "eti_a11y_reset_focus_object"
#9  0x064fccb0 in gal_a11y_e_table_item_new (item=0x96162b0)
    at gal-a11y-e-table-item.c:1071
	a11y = (GalA11yETableItem *) 0xa2c9748
	parent = <value optimized out>
	name = <value optimized out>
	__PRETTY_FUNCTION__ = "gal_a11y_e_table_item_new"
#10 0x064fd1f2 in gal_a11y_e_table_item_factory_create_accessible (
    obj=0x96162b0) at gal-a11y-e-table-item-factory.c:36
	accessible = <value optimized out>
	__PRETTY_FUNCTION__ = "gal_a11y_e_table_item_factory_create_accessible"
#11 0x00a17200 in atk_object_factory_create_accessible ()
   from /usr/lib/libatk-1.0.so.0
No symbol table info available.
#12 0x00a133a1 in atk_gobject_accessible_for_object ()
   from /usr/lib/libatk-1.0.so.0
No symbol table info available.
#13 0x00e5373b in gnome_accessibility_module_init ()
   from /usr/lib/gtk-2.0/modules/libgail.so
No symbol table info available.
#14 0x00729571 in g_idle_dispatch (source=0xac06790, callback=0x4, 
    user_data=0x9229498) at gmain.c:3926
No locals.
#15 0x0072b2d2 in IA__g_main_context_dispatch (context=0x8eb5a70)
    at gmain.c:2045
No locals.
#16 0x0072e2af in g_main_context_iterate (context=0x8eb5a70, block=1, 
    dispatch=1, self=0x8e91628) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 200
	timeout = 0
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x9531070
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#17 0x0072e659 in IA__g_main_loop_run (loop=0x8f2c468) at gmain.c:2881
	got_ownership = 6017504
	self = (GThread *) 0x8e91628
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#18 0x06b8ba23 in bonobo_main () at bonobo-main.c:311
	loop = (GMainLoop *) 0x8f2c468
#19 0x0805daae in main (argc=2, argv=0xbfcaae34) at main.c:615
	fd = <value optimized out>
	client = (GConfClient *) 0x8edece0
	skip_warning_dialog = 1
	uri_list = (GSList *) 0x0
	program = (GnomeProgram *) 0x8e9a810
	context = <value optimized out>
	icon_list = <value optimized out>
#20 0x0045de5c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#21 0x0804f3b1 in _start ()
No symbol table info available.
#0  0x008c5402 in __kernel_vsyscall ()
Comment 1 Matthew Barnes 2006-11-17 14:28:53 EST
Evolution seems to be even more unstable than usual when accessibility features
are turned on.  See if turning them off helps.
Comment 2 Matěj Cepl 2007-08-31 15:48:17 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, this bug will be closed as INSUFFICIENT_DATA. Thank you.
Comment 3 Matthew Barnes 2007-10-02 13:54:59 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.